            #GIT_CMT=b8405ddf0d307d8ff22df3c173e727fc636262c5
            #GIT_CMT=0b75234df618b38187fff49e0a331ce6f6d7380c
%{!?python3_pkgversion:%global python3_pkgversion 3}

%global srcname oracledb

%define odpiver 4.6.1

Summary: Python interface to Oracle Database
Name: python-oracledb
Version:	1.3.1
Release: 1%{?dist}
#get from https://pypi.org/project/oracledb/#files
Source0: %{srcname}-%{version}.tar.bz2

License: Universal Permissive License (UPL) or Apache License 2.0
Group: Development/Libraries
Url: https://github.com/oracle/python-oracledb
AutoReq: 1

%description 
The python-oracledb driver is a Python programming language extension module 
allowing Python programs to connect to Oracle Database. 
The module conforms to the Python Database API 2.0 specification with 
a considerable number of additions and a couple of minor exclusions.

%package -n python%{python3_pkgversion}-oracledb
Summary: Python3 interface to Oracle
BuildRequires: python3 >= 3.6 
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-setuptools >= 53.0.0
BuildRequires: gcc
BuildRequires: python%{python3_pkgversion}-Cython >= 0.29.21

Requires:  python3 >= 3.6 
Requires:  python%{python3_pkgversion}-cryptography >= 3.2.1

Provides:  python%{python3_version}dist(:DBAPI:oracle) = 2.0

%description -n python%{python3_pkgversion}-oracledb
The python-oracledb driver is a Python programming language extension module 
allowing Python programs to connect to Oracle Database. 
The module conforms to the Python Database API 2.0 specification with 
a considerable number of additions and a couple of minor exclusions.


%prep 
%setup -n %{srcname}-%{version}

%build

%install
cd %{_builddir}/oracledb-%{version}
python3 setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -n python%{python3_pkgversion}-oracledb -f INSTALLED_FILES
%doc LICENSE.txt README.txt THIRD_PARTY_LICENSES.txt NOTICE.txt
%exclude %{python3_sitearch}/oracledb/__pycache__
%exclude %{python3_sitearch}/oracledb/oracledb-doc

%changelog
* Mon Apr 24 2023 EL Errata <el-errata_ww@oracle.com> 1.3.1-1
- Update to 1.3.1

* Fri Apr 07 2023 Alan Steinberg <alan.steinberg@oracle.com> 1.3.0-1
- Update to 1.3.0
- Updated odpi to v4.6.1

* Fri Jan 20 2023 Alan Steinberg <alan.steinberg@oracle.com> - 1.2.2-1
- Update to 1.2.2
- Updated odpi to v4.6.0

* Thu Jan 12 2023 EL Errata <el-errata_ww@oracle.com> 1.2.1-1
- Update to 1.2.1

* Mon Oct 17 2022 Qing Lin <qing.lin@oracle.com> - 1.1.1-1.el7
- update to 1.1.1

* Thu Sep 29 2022 Qing Lin <qing.lin@oracle.com> 1.1.1-1
- Update to v1.1.1
- lower the required version for cryptography

* Fri Jun 24 2022 Qing Lin <qing.lin@oracle.com> 1.0.1-1
- Update to v1.0.1
- Remove python2 and Update based on Christopher's comments [jirabug: OLDIS-18075]

* Fri Jun 3 2022 Qing Lin <qing.lin@oracle.com> 1.0.0-1.0.1
- Source renamed to python-oracledb
- Add BuildRequires for Cython
- Add Requires for cryptography 
